Skip to main content
POST
/
api
/
v4
/
kyb
/
{applicant_id}
/
us-registry-check
US Company Registry Check
curl --request POST \
  --url https://api.dataspike.io/api/v4/kyb/{applicant_id}/us-registry-check \
  --header 'Content-Type: application/json' \
  --header 'ds-api-token: <api-key>' \
  --data '
{
  "state": "delaware",
  "company_name": "Acme Holdings Inc.",
  "sos_id": "<string>"
}
'
{
  "request_id": "019c9e79-4d64-73e1-9f30-5374f0f57975",
  "status": "initial"
}

Authorizations

ds-api-token
string
header
required

Path Parameters

applicant_id
string<uuid>
required

The applicant ID to associate with this verification

Example:

"01827ed4-c928-7a3c-9a30-7ab7cc169d11"

Body

application/json
state
string
required

US state name (e.g. delaware, california, new york)

Example:

"delaware"

company_name
string

Company name to search for. Required if sos_id is not provided.

Example:

"Acme Holdings Inc."

sos_id
string

Secretary of State filing number. Required if company_name is not provided.

Response

Request accepted, check in progress

request_id
string<uuid>

Unique identifier for this verification request. Use to poll for results.

Example:

"019c9e79-4d64-73e1-9f30-5374f0f57975"

status
enum<string>

Always initial on submission

Available options:
initial
Example:

"initial"